body {
  font-family: 'Noto Serif JP', serif;
  color: #ffffff;
  margin: 0;
  padding: 0;
  overflow-x: hidden; /* 横スクロールを防ぐ */
}
.construction-overlay {
    position: absolute;
    height: 100%;
    width: 100%;
    background-color: #0000003d;
}
.howto-grid-flex {
    display: flex;
}
.howto-grid-flex .howto-grid-item {
    width: 50%;
}
.howto-grid-flex .howto-title-image {
    width: 45%;
}
.howto-grid-flex .howto-make-image {
    width: 100%;
}
.header-inner {
  position: relative;
  width: 100%;
}
.header {
	position: fixed;
  top: 0;
font-size: 1.5rem;
padding: 1rem;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 10;
transition: background-color 0.3s ease;
}
.header.scroll-active {
  background-color: rgba(0, 0, 0, 0.7); /* 黒透明の背景色 */
}
.howto-seco-title {
text-align: center;
color: #333333;
font-weight: bold;
margin:1.5rem;
font-size:1.5rem;
font-family: 'Noto Serif JP', serif;
}
.howto-seco-flex{
display:flex;
gap:3rem;
}
.header-left {
  font-family: "メイリオ";
  font-weight: bold;
}

.header-left-link{
	text-decoration: none;
  color: #ffffff;
}

.header-name {
  margin: 0;
  font-size: 0.8em;
}

.header-subName {
  margin: 0;
  font-size: 1.5em;
}

.header-nav {
  width: 75%;
  margin-right: 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: absolute;
  right: 0;
  top: 50%;
  transform:translateY(-50%);
}

.header-list {
  display: flex;
  justify-content: space-around;
  width: 100%;
}

.header-item {
	display: flex;
	align-items: center;
	justify-content: center;
	list-style: none;
	height: 40px;
	width: 100%;
  font-size: 1rem;
}

.header-link {
	font-weight: bold;
	color: #ffffff;
	text-decoration: none;
	font-family: 'Noto Serif JP', serif;
	font-size: 14px;
  width: 100%;
}

.contact-link {
	background-image: url('../assets/images/construction/top-back.png');
  background-size: cover;
  background-position: center;
}

.hamburger-menu {
  display: none;
  flex-direction: column;
  justify-content: space-around;
  width: 30px;
  height: 30px;
  background: transparent;
  border: none;
  cursor: pointer;
  z-index: 20;
}

.hamburger-line {
  width: 100%;
  height: 3px;
  background-color: #ffffff;
  border-radius: 10px;
  transition: transform 0.3s ease, opacity 0.3s ease;
}

.hamburger-menu.open .hamburger-line:nth-child(1) {
  transform: rotate(45deg) translate(5px, 5px);
}

.hamburger-menu.open .hamburger-line:nth-child(2) {
  opacity: 0;
}

.hamburger-menu.open .hamburger-line:nth-child(3) {
  transform: rotate(-45deg) translate(5px, -5px);
}

.header-list {
  transition: transform 0.3s ease;
}

.header-list.show {
  transform: translateX(0);
}

.construction-container {
  position: relative;
  height: 100vh;
  background: url('../assets/images/construction/construction.jpg') no-repeat center center;
  background-size: cover;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.construction-top {
  position: absolute;
  bottom: 10%;
}

.construction-title {
  width: 100%;
  font-size: 34px;
font-family: 'Noto Serif JP', serif;
  font-weight: bold;
letter-spacing: .08em;
}

.construction-subtitle {
  text-align: center;
  margin-top: .5rem;
font-family: 'Noto Serif JP', serif;
}

.construction-description {
  display: flex;
  justify-content: center;
  margin: 2rem;
  color: #23465A;
}

.construction-text {
  color: #333333;
  width: 80%;
 font-family: 'Noto Serif JP', serif;
  font-size: 15px;
  line-height: 30px;
}

.construction-howto {
  background-color: #e8ebec;
  color: #23465A;
  padding: 4rem 0 2rem;
}

.howto-title {
  text-align: center;
  width: 100%;
  font-size: 1.8rem;
  font-family: 'Noto Serif JP', serif;
  font-weight: bold;
}

.howto-subtitle {
  margin: 0 auto;
  text-align: center;
  margin-top: 15px;
  padding-bottom: 1rem;
font-family: 'Noto Serif JP', serif;
font-weight: bold;
}

.howto-box {
  display: flex;
  flex-direction: column;
  margin: 10px 0 30px;
  width: 78%;
  margin: 1rem auto;
}

.howto-grid-item {
  color: #23465A;
  padding: 20px;
  border-radius: 5px;
}

.empty {
  background-color: transparent;
}

.howto-title-image {
  width: 20%;
  height: auto;
  display: block;
  margin-bottom: 10px;
}

.howto-description {
font-family: 'Noto Serif JP', serif;
  font-size: 15px;
  line-height: 30px;
color: #333333;
  margin: 15px 0 ;
}

.howto-make-image {
  width: 50%;
  height: auto;
  display: block;
  margin-bottom: 1.5rem;
}

.flow {
	padding: 4rem 0;
}

.flow-title {
  text-align: center;
  width: 100%;
  font-size: 1.8rem;
  font-family: 'Noto Serif JP', serif;
  font-weight: bold;
	color: #23465A;
}

.flow-subtitle {
    font-size: 1rem;
    width: 40%;
    margin: 1rem auto 0;
    line-height: 1.8;
    text-align: center;
    color: #23465A;
font-family: 'Noto Serif JP', serif;
    font-weight: bold;
}

.flow-list {
	margin: 0 auto;
	width: 85%;
	display: flex;
	align-items: center;
	flex-direction: column;
}

.flow-item {
	display: flex;
	justify-content: center;
	margin-top: 3rem;
}

.flow-left {
	width: 65%;
}

.flow-text {
font-family: 'Noto Serif JP', serif;
  font-size: 1rem;
  line-height: 2;
	padding: 10px 20px;
	color: black;
}

.flow-image {
	width: 100%;
}

.flow-right {
	width: 35%;
}

.flow-picture {
	width: 100%;
}

footer {
  background: rgba(0, 0, 0, 0.5);
}

.footer-box {
  background-color: #000000;
	padding: 20px 0;
}

.footer-inner {
  width: 80%;
  margin: 0 auto;
  padding: 30px 0;
}

.footer-top {
  display: flex;
  justify-content: space-between;
  align-items: center;
	border-bottom: 1px solid rgba(255, 255, 255, 0.5);
	padding-bottom: 5px;
}

.footer-logo p {
	font-family: "メイリオ";
  margin: 0;
  font-size: 0.8em;
  margin-bottom: 0.2rem;
}

.footer-logo h1 {
	font-family: "メイリオ";
  margin: 0;
  font-size: 1.5em;
}

.footer-list {
  display: flex;
}

.footer-item {
  list-style: none;
  margin-left: 30px;
  color: #ffffff;
}

.footer-contact-info {
  display: flex;
  justify-content: space-between;
  margin-top: 20px;
}

.footer-address p,
.footer-contact p {
  margin: 0;
	font-size: 11px;
	font-family: 'Noto Serif JP', serif;
}

.footer-bottom {
  text-align: center;
  padding: 10px 0;
  font-size: 0.75em;
}

.footer-link{
	text-decoration: none;
	color: #ffffff;
	font-family: 'Noto Serif JP', serif;
	font-size: 14px;
}

.page-top-button {
	position: fixed;
	bottom: 20px;
	right: 20px;
	background-color: rgba(31, 112, 91,0.6);
	color: white;
	border: none;
	padding: 20px 10px;
	border-radius: 5px;
	cursor: pointer;
	display: none;
	z-index: 1000;
	text-align: center;
}

.page-top-button .arrow-up {
	display: inline-block;
  width: 18px;
  height: 18px;
  margin: 0 10px;
  border-top: 2px solid #ffffff;
  border-left: 2px solid #ffffff;
  transform: rotate(45deg);
}

.page-top-button p {
	margin: 5px 0 0 0;
	font-size: 12px;
}

.page-top-button:hover {
	background-color: #00291f;
}

@media (max-width: 768px) {
  .header-nav {
    flex-direction: column;
    align-items: flex-end;
    width: 30%;
    position: unset;
    transform: unset;
  }
.construction-description {
    margin: 2rem 0;
}
.howto-title-image,
.howto-grid-flex .howto-title-image {
    width: 65%;
}
.howto-box {
    width: 90%;
}
.howto-seco-flex ,
.howto-grid-flex
{
    display: block;
}
img.howto-make-image,
.howto-grid-flex .howto-grid-item
 {
    width: 100%;
}
.flow-subtitle ,
.flow-list{
    width: 90%;
}
.construction-container {
  height: 50vh;
}
.howto-grid {
    display: block;
}
  .header-left {
    width: auto;
    flex-direction: column;
  }
  .header-list {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 60%;
    background-color: rgba(0, 0, 0, 0.9);
    flex-direction: column;
    transform: translateX(-100%);
  }
  .header-item:last-child {
    background-image: none;
  }
  .header-list.show {
    transform: translateX(0);
  }
  .header-item {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: flex-start;
  }
  .header-link{
    display: flex;
    align-items: center;
    border: 1px solid #e0e0e0;
    height: 100%;
    padding: 20px;
    width: 100%;
  }
  .hamburger-menu {
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    width: 45px;
    height: 23px;
    background: transparent;
    border: none;
    cursor: pointer;
    z-index: 20;
    right: 5%;
    top: 50%;
    transform: translateY(-50%);
  }
	.flow-item {
		flex-direction: column;
		align-items: center;
	}
	.flow-left {
		width: 100%;
	}
	.flow-right {
		width: 90%;
	}
  .footer-list {
    width: 60%;
    flex-wrap: wrap;
  }
  .footer-item {
    width: 50%;
    margin-bottom: 0.5rem;
    margin-left: 0;
  }
  .footer-contact-info {
    flex-direction: column;
    align-items: flex-start;
  }
  .footer-contact {
    margin-top: 1rem;
  }
}